import { BaseStore } from "./base_store";
import {
  action,
  observable,
  computed
} from 'mobx';

export class MyStoreStore extends BaseStore {

  @observable dataItems = [];
  @observable data = {
    name: '',
    tagline: '',
    image: null
  };

  constructor(context) {
    super(context);

    this.url = "my_store";
    this.mode = "single";
  }

  @action
  getDetail(id) {
    return Promise.resolve({id});
  }
}
